<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "karigar.php";

$keyfld = "accode";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`city` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`mobile` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`custcode` = '$searchTerm'";
}
}else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`city` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`mobile` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`custcode` LIKE '%$searchTerm%'";
    }
}


$sortcond = "ORDER BY a.`name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`name`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`city`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`mobile`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`custcode`+0";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT a.*,b.name as dept FROM `accmast` a 
          LEFT JOIN `dept` b ON a.deptcode = b.code
          WHERE a.custcode != '' 
          AND a.`grpcode`='040' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));


$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = [ 'success'  => true,
                'value'    => $ctr,
                'keyfld'   => $keyfld,
                'custcode' => $r["custcode"],
                'empname'  => $r["name"],
                'dept'     => $r["dept"],
                'city'     => $r["city"],
                'mobile'   => $r["mobile"],
                'action'   => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
?>